.PHONY: test-setup test

test-setup: egg-info
	docker pull python:3.9-bullseye
	docker pull p0bailey/docker-flask
	docker pull n3llyb0y/wait
	docker build -t xivo/xivo-dird-phoned ..
	docker build --no-cache -t xivo-dird-phoned-test -f Dockerfile-dird-phoned-test ..

egg-info:
	cd .. && python3 setup.py egg_info

test:
	nosetests
